/*
 * Shortcourse of "Development of Computer Games: Basic Module"
 * in: I2TS 2009
 * 8th International Information and Telecommunication Technologies
 * Symposium
 *
 * Copyright (C) 2009 Saulo Popov Zambiasi and Max Ricardo Benin
 *
 * This source code is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Subverse is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Contact: saulopz@gmail.com or mbenin@gmail.com
 */

#ifndef GLOBALS_H_
#define GLOBALS_H_

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <iostream>
#include <fstream>
#include <sstream>

#include <vector>
#include <list>
#include <map>

#include "Singleton.h"

#define uint unsigned int

using namespace std;

#define MAX_X 800
#define MAX_Y 600

#define CELL_SIZE		50

#define DOWN		0
#define RIGHT		2
#define UP			4
#define LEFT		6
#define DOWN_RIGHT  8
#define DOWN_LEFT   10
#define UP_RIGHT    12
#define UP_LEFT     14

#define FRONT		1
#define BACK		3
#define FRONT_RIGHT	9
#define FRONT_LEFT	11
#define BACK_RIGHT	13
#define BACK_LEFT	15

#define VOID		0

#define AVATAR		1
#define CYCLOPE		2
#define FIRE		3
#define TREE		4
#define SPIDER		5
#define BAT         6

#define ADOBE		100
#define LITTLELAWN	101
#define GROUND		102
#define ROCKS		103
#define LAWN		104

#define WALL		200

#define WATER		300

#define NONE	-1
#define LAND	 0
#define ELEMENT	 1
#define WORLD	 3

#define u_long unsigned long

#define MAX_MESSAGES    30

#define IMAGES_DIR	"midia//img"

#endif /* GLOBALS_H_ */
