/*
 * Subverse
 * Copyright (C) 2007 Saulo Popov Zambiasi
 *
 * Subverse is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Subverse is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Contact: saulopz@gmail.com
 */

#ifndef IMAGES_H_
#define IMAGES_H_

#include "Graph.h"
#include "Globals.h"
#include "Utils.h"

using namespace std;

class Images {
    Graph *g;
	map<string, Image*> bitmaps;
public:
	Images();
	void add(string);
	Image *get(string);
	virtual ~Images();
};

#endif /*IMAGES_H_*/
