/*
 * Subverse
 * Copyright (C) 2007 Saulo Popov Zambiasi
 *
 * Subverse is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Subverse is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Contact: saulopz@gmail.com
 */

#ifndef LOADWORLD_H_
#define LOADWORLD_H_

#include "Globals.h"
#include "Utils.h"

using namespace std;

class LoadWorld {
	string fileName;
	vector<int> elements;
	vector<int> lands;
	unsigned int width;
	unsigned int height;
	unsigned int elementIdx;
	unsigned int landIdx;
	void load();
public:
	LoadWorld(string);
	int getWidth();
	int getHeight();
	int getNext(int);
	void reset(int);
	virtual ~LoadWorld();
};

#endif /*LOADWORLD_H_*/
